Flecs: flecs::_::each_delegate< Func, Components > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
flecs::_::each_delegate< Func, Components > Struct Template Reference
Inheritance diagram for flecs::_::each_delegate< Func, Components >:
[legend]

## Public Types
using | Terms = typename field_ptrs<Components ...>::array

## Public Member Functions
template<if_not_t< is_same< decay_t< Func >, decay_t< Func > & >::value > = 0>
| each_delegate (Func &&func) noexcept
| each_delegate (const Func &func) noexcept
void | invoke (ecs_iter_t *iter) const

## Static Public Member Functions
static void | run (ecs_iter_t *iter)
static each_delegate * | make (const Func &func)
static void | destruct (void *obj)
static void | run_add (ecs_iter_t *iter)
static void | run_remove (ecs_iter_t *iter)
static void | run_set (ecs_iter_t *iter)

## Public Attributes
Func | func_

## Detailed Description

template<typename Func, typename ... Components>
struct flecs::_::each_delegate< Func, Components >

Definition at line 41 of file flecs.hpp.

## Member Typedef Documentation

## ◆ Terms

template<typename Func, typename ... Components>

using flecs::_::each_delegate< Func, Components >::Terms = typename field_ptrs<Components ...>::array

Definition at line 226 of file delegate.hpp.

## Constructor & Destructor Documentation

## ◆ each_delegate() [1/2]

template<typename Func, typename ... Components>
template<if_not_t< is_same< decay_t< Func >, decay_t< Func > & >::value > = 0>

flecs::_::each_delegate< Func, Components >::each_delegate | ( | Func && | func | ) |
| inlineexplicitnoexcept

Definition at line 229 of file delegate.hpp.

## ◆ each_delegate() [2/2]

template<typename Func, typename ... Components>

flecs::_::each_delegate< Func, Components >::each_delegate | ( | const Func & | func | ) |
| inlineexplicitnoexcept

Definition at line 232 of file delegate.hpp.

## Member Function Documentation

## ◆ destruct()

template<typename Func, typename ... Components>

static void flecs::_::each_delegate< Func, Components >::destruct | ( | void * | obj | ) |
| inlinestatic

Definition at line 265 of file delegate.hpp.

## ◆ invoke()

template<typename Func, typename ... Components>

void flecs::_::each_delegate< Func, Components >::invoke | ( | ecs_iter_t * | iter | ) | const
| inline

Definition at line 238 of file delegate.hpp.

## ◆ make()

template<typename Func, typename ... Components>

static each_delegate * flecs::_::each_delegate< Func, Components >::make | ( | const Func & | func | ) |
| inlinestatic

Definition at line 260 of file delegate.hpp.

## ◆ run()

template<typename Func, typename ... Components>

static void flecs::_::each_delegate< Func, Components >::run | ( | ecs_iter_t * | iter | ) |
| inlinestatic

Definition at line 253 of file delegate.hpp.

## ◆ run_add()

template<typename Func, typename ... Components>

static void flecs::_::each_delegate< Func, Components >::run_add | ( | ecs_iter_t * | iter | ) |
| inlinestatic

Definition at line 270 of file delegate.hpp.

## ◆ run_remove()

template<typename Func, typename ... Components>

static void flecs::_::each_delegate< Func, Components >::run_remove | ( | ecs_iter_t * | iter | ) |
| inlinestatic

Definition at line 278 of file delegate.hpp.

## ◆ run_set()

template<typename Func, typename ... Components>

static void flecs::_::each_delegate< Func, Components >::run_set | ( | ecs_iter_t * | iter | ) |
| inlinestatic

Definition at line 286 of file delegate.hpp.

## Member Data Documentation

## ◆ func_

template<typename Func, typename ... Components>

Func flecs::_::each_delegate< Func, Components >::func_

Definition at line 370 of file delegate.hpp.

The documentation for this struct was generated from the following files:

- include/flecs/addons/cpp/delegate.hpp
- include/flecs/addons/cpp/flecs.hpp